IEEE754rUtils (Apache Commons Lang 3.20.0 API)
Description: declaration: package: org.apache.commons.lang3.math, class: IEEE754rUtils

# Class IEEE754rUtils

java.lang.Object
org.apache.commons.lang3.math.IEEE754rUtils

public class IEEE754rUtils extends Object
Provides IEEE-754r variants of NumberUtils methods.

See: https://en.wikipedia.org/wiki/IEEE_754r

Since:
  2.4

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IEEE754rUtils()`
  Deprecated.
  TODO Make private in 4.0.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static double`
  `max(double... array)`
  Returns the maximum value in an array.
  `static double`
  `max(double a, double b)`
  Gets the maximum of two `double` values.
  `static double`
  `max(double a, double b, double c)`
  Gets the maximum of three `double` values.
  `static float`
  `max(float... array)`
  Returns the maximum value in an array.
  `static float`
  `max(float a, float b)`
  Gets the maximum of two `float` values.
  `static float`
  `max(float a, float b, float c)`
  Gets the maximum of three `float` values.
  `static double`
  `min(double... array)`
  Returns the minimum value in an array.
  `static double`
  `min(double a, double b)`
  Gets the minimum of two `double` values.
  `static double`
  `min(double a, double b, double c)`
  Gets the minimum of three `double` values.
  `static float`
  `min(float... array)`
  Returns the minimum value in an array.
  `static float`
  `min(float a, float b)`
  Gets the minimum of two `float` values.
  `static float`
  `min(float a, float b, float c)`
  Gets the minimum of three `float` values.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IEEE754rUtils

    @Deprecated public IEEE754rUtils()
    Deprecated.
    TODO Make private in 4.0.
    Make private in 4.0.

- ## Method Details

  - ### max

    public static double max(double... array)
    Returns the maximum value in an array.
    Parameters:
      `array` - an array, must not be null or empty.
    Returns:
      the minimum value in the array.
    Throws:
      `NullPointerException` - if `array` is `null`.
      `IllegalArgumentException` - if `array` is empty.
    Since:
      3.4 Changed signature from max(double[]) to max(double...)

  - ### max

    public static double max(double a, double b)
    Gets the maximum of two `double` values.

    NaN is only returned if all numbers are NaN as per IEEE-754r.

    Parameters:
      `a` - value 1.
      `b` - value 2.
    Returns:
      the largest of the values.

  - ### max

    public static double max(double a, double b, double c)
    Gets the maximum of three `double` values.

    NaN is only returned if all numbers are NaN as per IEEE-754r.

    Parameters:
      `a` - value 1.
      `b` - value 2.
      `c` - value 3.
    Returns:
      the largest of the values.

  - ### max

    public static float max(float... array)
    Returns the maximum value in an array.
    Parameters:
      `array` - an array, must not be null or empty.
    Returns:
      the minimum value in the array.
    Throws:
      `NullPointerException` - if `array` is `null`.
      `IllegalArgumentException` - if `array` is empty.
    Since:
      3.4 Changed signature from max(float[]) to max(float...)

  - ### max

    public static float max(float a, float b)
    Gets the maximum of two `float` values.

    NaN is only returned if all numbers are NaN as per IEEE-754r.

    Parameters:
      `a` - value 1.
      `b` - value 2.
    Returns:
      the largest of the values.

  - ### max

    public static float max(float a, float b, float c)
    Gets the maximum of three `float` values.

    NaN is only returned if all numbers are NaN as per IEEE-754r.

    Parameters:
      `a` - value 1.
      `b` - value 2.
      `c` - value 3.
    Returns:
      the largest of the values.

  - ### min

    public static double min(double... array)
    Returns the minimum value in an array.
    Parameters:
      `array` - an array, must not be null or empty.
    Returns:
      the minimum value in the array.
    Throws:
      `NullPointerException` - if `array` is `null`.
      `IllegalArgumentException` - if `array` is empty.
    Since:
      3.4 Changed signature from min(double[]) to min(double...).

  - ### min

    public static double min(double a, double b)
    Gets the minimum of two `double` values.

    NaN is only returned if all numbers are NaN as per IEEE-754r.

    Parameters:
      `a` - value 1.
      `b` - value 2.
    Returns:
      the smallest of the values.

  - ### min

    public static double min(double a, double b, double c)
    Gets the minimum of three `double` values.

    NaN is only returned if all numbers are NaN as per IEEE-754r.

    Parameters:
      `a` - value 1
      `b` - value 2
      `c` - value 3
    Returns:
      the smallest of the values

  - ### min

    public static float min(float... array)
    Returns the minimum value in an array.
    Parameters:
      `array` - an array, must not be null or empty.
    Returns:
      the minimum value in the array.
    Throws:
      `NullPointerException` - if `array` is `null`.
      `IllegalArgumentException` - if `array` is empty.
    Since:
      3.4 Changed signature from min(float[]) to min(float...).

  - ### min

    public static float min(float a, float b)
    Gets the minimum of two `float` values.

    NaN is only returned if all numbers are NaN as per IEEE-754r.

    Parameters:
      `a` - value 1.
      `b` - value 2.
    Returns:
      the smallest of the values.

  - ### min

    public static float min(float a, float b, float c)
    Gets the minimum of three `float` values.

    NaN is only returned if all numbers are NaN as per IEEE-754r.

    Parameters:
      `a` - value 1.
      `b` - value 2.
      `c` - value 3.
    Returns:
      the smallest of the values.